<component name="InspectionProjectProfileManager">
  <profile version="1.0">
    <option name="myName" value="Project Default" />
    <inspection_tool class="PyInterpreterInspection" enabled="false" level="WARNING" enabled_by_default="false" />
    <inspection_tool class="PyPackageRequirementsInspection" enabled="true" level="WARNING" enabled_by_default="true">
      <option name="ignoredPackages">
        <value>
          <list size="112">
            <item index="0" class="java.lang.String" itemvalue="pyarrow" />
            <item index="1" class="java.lang.String" itemvalue="transformers" />
            <item index="2" class="java.lang.String" itemvalue="pydantic" />
            <item index="3" class="java.lang.String" itemvalue="xformers" />
            <item index="4" class="java.lang.String" itemvalue="torch" />
            <item index="5" class="java.lang.String" itemvalue="ray" />
            <item index="6" class="java.lang.String" itemvalue="numpy" />
            <item index="7" class="java.lang.String" itemvalue="psutil" />
            <item index="8" class="java.lang.String" itemvalue="pandas" />
            <item index="9" class="java.lang.String" itemvalue="fastapi" />
            <item index="10" class="java.lang.String" itemvalue="ninja" />
            <item index="11" class="java.lang.String" itemvalue="sentencepiece" />
            <item index="12" class="java.lang.String" itemvalue="uvicorn" />
            <item index="13" class="java.lang.String" itemvalue="scikit-image" />
            <item index="14" class="java.lang.String" itemvalue="pyvista" />
            <item index="15" class="java.lang.String" itemvalue="scikit-learn" />
            <item index="16" class="java.lang.String" itemvalue="h5py" />
            <item index="17" class="java.lang.String" itemvalue="psycopg2-binary" />
            <item index="18" class="java.lang.String" itemvalue="mlflow-registry-mongostore" />
            <item index="19" class="java.lang.String" itemvalue="pyod" />
            <item index="20" class="java.lang.String" itemvalue="mlflow" />
            <item index="21" class="java.lang.String" itemvalue="openai" />
            <item index="22" class="java.lang.String" itemvalue="matplotlib" />
            <item index="23" class="java.lang.String" itemvalue="statsmodels" />
            <item index="24" class="java.lang.String" itemvalue="gevent" />
            <item index="25" class="java.lang.String" itemvalue="jupyterlab" />
            <item index="26" class="java.lang.String" itemvalue="mlflow-tracking-mongostore" />
            <item index="27" class="java.lang.String" itemvalue="numexpr" />
            <item index="28" class="java.lang.String" itemvalue="Pillow" />
            <item index="29" class="java.lang.String" itemvalue="flask-swagger-ui" />
            <item index="30" class="java.lang.String" itemvalue="pymoo" />
            <item index="31" class="java.lang.String" itemvalue="PyYAML" />
            <item index="32" class="java.lang.String" itemvalue="python-dateutil" />
            <item index="33" class="java.lang.String" itemvalue="opentelemetry-exporter-jaeger" />
            <item index="34" class="java.lang.String" itemvalue="kombu" />
            <item index="35" class="java.lang.String" itemvalue="opentelemetry-instrumentation-requests" />
            <item index="36" class="java.lang.String" itemvalue="redis" />
            <item index="37" class="java.lang.String" itemvalue="python-json-logger" />
            <item index="38" class="java.lang.String" itemvalue="opentelemetry-distro" />
            <item index="39" class="java.lang.String" itemvalue="Flask_Cors" />
            <item index="40" class="java.lang.String" itemvalue="jsonschema" />
            <item index="41" class="java.lang.String" itemvalue="xlrd" />
            <item index="42" class="java.lang.String" itemvalue="dnspython" />
            <item index="43" class="java.lang.String" itemvalue="Werkzeug" />
            <item index="44" class="java.lang.String" itemvalue="O365" />
            <item index="45" class="java.lang.String" itemvalue="cryptography" />
            <item index="46" class="java.lang.String" itemvalue="google" />
            <item index="47" class="java.lang.String" itemvalue="gunicorn" />
            <item index="48" class="java.lang.String" itemvalue="sendgrid" />
            <item index="49" class="java.lang.String" itemvalue="Flask_Bcrypt" />
            <item index="50" class="java.lang.String" itemvalue="sqlalchemy" />
            <item index="51" class="java.lang.String" itemvalue="APScheduler" />
            <item index="52" class="java.lang.String" itemvalue="flask-apispec" />
            <item index="53" class="java.lang.String" itemvalue="prometheus-flask-exporter" />
            <item index="54" class="java.lang.String" itemvalue="boto3" />
            <item index="55" class="java.lang.String" itemvalue="Flask-SocketIO" />
            <item index="56" class="java.lang.String" itemvalue="mongomock" />
            <item index="57" class="java.lang.String" itemvalue="PyJWT" />
            <item index="58" class="java.lang.String" itemvalue="Flask-SSE" />
            <item index="59" class="java.lang.String" itemvalue="networkx" />
            <item index="60" class="java.lang.String" itemvalue="task-graph" />
            <item index="61" class="java.lang.String" itemvalue="Flask_JWT_Extended" />
            <item index="62" class="java.lang.String" itemvalue="minio" />
            <item index="63" class="java.lang.String" itemvalue="google-cloud-storage" />
            <item index="64" class="java.lang.String" itemvalue="requests" />
            <item index="65" class="java.lang.String" itemvalue="pint" />
            <item index="66" class="java.lang.String" itemvalue="importlib-metadata" />
            <item index="67" class="java.lang.String" itemvalue="typeguard" />
            <item index="68" class="java.lang.String" itemvalue="opentelemetry-instrumentation-flask" />
            <item index="69" class="java.lang.String" itemvalue="seaborn" />
            <item index="70" class="java.lang.String" itemvalue="celery" />
            <item index="71" class="java.lang.String" itemvalue="pyOpenSSL" />
            <item index="72" class="java.lang.String" itemvalue="detect-delimiter" />
            <item index="73" class="java.lang.String" itemvalue="urllib3" />
            <item index="74" class="java.lang.String" itemvalue="anytree" />
            <item index="75" class="java.lang.String" itemvalue="lasio" />
            <item index="76" class="java.lang.String" itemvalue="xgboost" />
            <item index="77" class="java.lang.String" itemvalue="Cerberus" />
            <item index="78" class="java.lang.String" itemvalue="itsdangerous" />
            <item index="79" class="java.lang.String" itemvalue="Cython" />
            <item index="80" class="java.lang.String" itemvalue="Flask" />
            <item index="81" class="java.lang.String" itemvalue="Flask-Session" />
            <item index="82" class="java.lang.String" itemvalue="ipywidgets" />
            <item index="83" class="java.lang.String" itemvalue="croniter" />
            <item index="84" class="java.lang.String" itemvalue="pymongo" />
            <item index="85" class="java.lang.String" itemvalue="botocore" />
            <item index="86" class="java.lang.String" itemvalue="pytest" />
            <item index="87" class="java.lang.String" itemvalue="black" />
            <item index="88" class="java.lang.String" itemvalue="xlsxwriter" />
            <item index="89" class="java.lang.String" itemvalue="python-gitlab" />
            <item index="90" class="java.lang.String" itemvalue="python-logstash-async" />
            <item index="91" class="java.lang.String" itemvalue="types-redis" />
            <item index="92" class="java.lang.String" itemvalue="graphlib-backport" />
            <item index="93" class="java.lang.String" itemvalue="apispec_webframeworks" />
            <item index="94" class="java.lang.String" itemvalue="colour" />
            <item index="95" class="java.lang.String" itemvalue="pytz" />
            <item index="96" class="java.lang.String" itemvalue="Flask-RESTful" />
            <item index="97" class="java.lang.String" itemvalue="openpyxl" />
            <item index="98" class="java.lang.String" itemvalue="cron-validator" />
            <item index="99" class="java.lang.String" itemvalue="accelerate" />
            <item index="100" class="java.lang.String" itemvalue="fschat" />
            <item index="101" class="java.lang.String" itemvalue="tiktoken" />
            <item index="102" class="java.lang.String" itemvalue="dataclasses_json" />
            <item index="103" class="java.lang.String" itemvalue="langchain" />
            <item index="104" class="java.lang.String" itemvalue="autopep8" />
            <item index="105" class="java.lang.String" itemvalue="pyflakes" />
            <item index="106" class="java.lang.String" itemvalue="mccabe" />
            <item index="107" class="java.lang.String" itemvalue="yapf" />
            <item index="108" class="java.lang.String" itemvalue="pycodestyle" />
            <item index="109" class="java.lang.String" itemvalue="TotalDepth" />
            <item index="110" class="java.lang.String" itemvalue="bs4" />
            <item index="111" class="java.lang.String" itemvalue="kubernetes" />
          </list>
        </value>
      </option>
    </inspection_tool>
    <inspection_tool class="PyPep8NamingInspection" enabled="true" level="WEAK WARNING" enabled_by_default="true">
      <option name="ignoredErrors">
        <list>
          <option value="N801" />
        </list>
      </option>
    </inspection_tool>
    <inspection_tool class="VulnerableLibrariesLocal" enabled="false" level="WARNING" enabled_by_default="false" />
  </profile>
</component>